// MidiNrpn.h

#ifndef _MIDI_NRPN_H_
#define _MIDI_NRPN_H_

#include <stdint.h>

class MidiNrpn
{
	public:
	MidiNrpn();
	~MidiNrpn();

	void reset();

	bool isValid(bool doClear=true);

	int getId();
	int getValue();
	int getMaxValue();

	bool process(uint8_t controllerNumber, uint8_t controllerValue);
	
	private:

	int mState;
	int mId;
	int mValue;
	int mMaxValue;
	bool mIsValid;
};

#endif //_MIDI_NRPN_H_
